clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::tidy::ClangTidyProfiling::StorageParams Struct Reference

`#include <ClangTidyProfiling.h>`

Collaboration diagram for clang::tidy::ClangTidyProfiling::StorageParams:
[legend]

## Public Member Functions
| StorageParams ()=default
| StorageParams (llvm::StringRef ProfilePrefix, llvm::StringRef SourceFile)

## Public Attributes
llvm::sys::TimePoint | Timestamp
std::string | SourceFilename
std::string | StoreFilename

## Detailed Description

Definition at line 27 of file ClangTidyProfiling.h.

## Constructor & Destructor Documentation

## ◆ StorageParams() [1/2]

clang::tidy::ClangTidyProfiling::StorageParams::StorageParams | ( |  | ) |
| default

## ◆ StorageParams() [2/2]

clang::tidy::ClangTidyProfiling::StorageParams::StorageParams | ( | llvm::StringRef | ProfilePrefix,
|  | llvm::StringRef | SourceFile
| ) |  |

Definition at line 25 of file ClangTidyProfiling.cpp.

References StoreFilename, and Timestamp.

## Member Data Documentation

## ◆ SourceFilename

std::string clang::tidy::ClangTidyProfiling::StorageParams::SourceFilename

Definition at line 29 of file ClangTidyProfiling.h.

## ◆ StoreFilename

std::string clang::tidy::ClangTidyProfiling::StorageParams::StoreFilename

Definition at line 30 of file ClangTidyProfiling.h.

Referenced by StorageParams().

## ◆ Timestamp

llvm::sys::TimePoint clang::tidy::ClangTidyProfiling::StorageParams::Timestamp

Definition at line 28 of file ClangTidyProfiling.h.

Referenced by StorageParams().

The documentation for this struct was generated from the following files:

- ClangTidyProfiling.h
- ClangTidyProfiling.cpp